package org.sonatype.tycho.p2.bridge.plugin;

import org.codehaus.plexus.component.annotations.Component;
import org.codehaus.plexus.component.annotations.Requirement;
import org.codehaus.plexus.logging.Logger;

@Component( role = Console.class )
public class Console
{

    @Requirement
    private Logger log;

    Console print()
    {
        print( "" );
        return this;
    }

    Console print( final String message )
    {
        if ( log.isInfoEnabled() )
        {
            log.info( message );
        }
        else
        {
            System.out.println( message );
        }
        return this;
    }

    Console printHeader( final String message )
    {
        return print().print( message ).print();
    }

}
